Purchase Order Delivery

The purchase order delivery resource.

Basehttps://rest.carbon.ms/purchaseOrderDelivery
GET/purchaseOrderDelivery

List purchase order deliverys

Retrieve a paginated list of purchase order deliverys. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/purchaseOrderDelivery
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseOrderDelivery?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "dropShipment": true,
    "companyId": "xyz789",
    "supplierShippingCost": 0,
    "locationId": "xyz789",
    "shippingMethodId": "xyz789",
    "shippingTermId": "xyz789",
    "receiptRequestedDate": "2026-01-01"
  }
]
GET/purchaseOrderDelivery

Retrieve a purchase order delivery

Fetch a single purchase order delivery by filtering on `id`.

Query parameters

idstring

Match on the purchase order delivery's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/purchaseOrderDelivery
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseOrderDelivery?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "dropShipment": true,
  "companyId": "xyz789",
  "supplierShippingCost": 0,
  "locationId": "xyz789",
  "shippingMethodId": "xyz789",
  "shippingTermId": "xyz789",
  "receiptRequestedDate": "2026-01-01"
}
POST/purchaseOrderDelivery

Create a purchase order delivery

Create a new purchase order delivery.

Body parameters

locationIdstring

References location.id

shippingMethodIdstring

References shippingMethod.id

shippingTermIdstring

References shippingTerm.id

receiptRequestedDatedate
receiptPromisedDatedate
deliveryDatedate
notesstring
trackingNumberstring
dropShipmentbooleanrequired
customerIdstring

References customer.id

customerLocationIdstring

References customerLocation.id

companyIdstringrequired
customFieldsobject
tagsarray
supplierShippingCostnumberrequired
incotermstring
incotermLocationstring
POSThttps://rest.carbon.ms/purchaseOrderDelivery
curl --request POST \
  --url https://rest.carbon.ms/purchaseOrderDelivery \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"dropShipment":true,"companyId":"xyz789","supplierShippingCost":0}'
Response
{
  "id": "abc123def456",
  "dropShipment": true,
  "companyId": "xyz789",
  "supplierShippingCost": 0,
  "locationId": "xyz789",
  "shippingMethodId": "xyz789",
  "shippingTermId": "xyz789",
  "receiptRequestedDate": "2026-01-01"
}
PATCH/purchaseOrderDelivery

Update a purchase order delivery

Update an existing purchase order delivery, matched on `id`.

Body parameters

locationIdstring

References location.id

shippingMethodIdstring

References shippingMethod.id

shippingTermIdstring

References shippingTerm.id

receiptRequestedDatedate
receiptPromisedDatedate
deliveryDatedate
notesstring
trackingNumberstring
dropShipmentbooleanrequired
customerIdstring

References customer.id

customerLocationIdstring

References customerLocation.id

companyIdstringrequired
customFieldsobject
tagsarray
supplierShippingCostnumberrequired
incotermstring
incotermLocationstring
PATCHhttps://rest.carbon.ms/purchaseOrderDelivery
curl --request PATCH \
  --url 'https://rest.carbon.ms/purchaseOrderDelivery?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"locationId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "dropShipment": true,
  "companyId": "xyz789",
  "supplierShippingCost": 0,
  "locationId": "xyz789",
  "shippingMethodId": "xyz789",
  "shippingTermId": "xyz789",
  "receiptRequestedDate": "2026-01-01"
}
DELETE/purchaseOrderDelivery

Delete a purchase order delivery

Delete a purchase order delivery, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the purchase order delivery to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/purchaseOrderDelivery
curl --request DELETE \
  --url 'https://rest.carbon.ms/purchaseOrderDelivery?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content